Summary: rename multiple files
Name: ren
version: 1.0
release: 4
Copyright: free
Group: Utilities/File
Source: ftp://sunsite.unc.edu/pub/Linux/utils/file/ren-1.0.tar.gz
Prefix: /usr
BuildRoot: /var/tmp/ren-%{VERSION}-root

%description
Whereas mv can rename (as opposed to move) only one file at a time,
ren can rename many files according to search and replacement
patterns, ala VMS and MS-DOS (but better).  ren checks for replacement name
collisions and handles rename chains (1 goes to 2 goes to 3 etc.)
gracefully.

%changelog

* Sun Aug 30 1998 W. L. Estes <wlestes@uncg.edu>
- fix docdir permissions

* Sat Aug 01 1998 W. L. Estes <wlestes@hamlet.uncg.edu>
- buildroot
- drop patch to Makefile
- relocateable
- defattr in filelist

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
install -m 755 ren $RPM_BUILD_ROOT/usr/bin
install -m 644 ren.1 $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (644, root, root, 755)
%doc README
/usr/man/man1/ren.1
%defattr (755, root, root)
/usr/bin/ren
